#!/bin/sh
#Authors
#Luis Wong <-> lwong@mpsnet.net.mx
#Shawn Wallis <-> swallis@ittc.ukans.edu


echo "Installing single-honeypot ...";
sleep 1;
`mkdir /usr/local/shpot/`;
`cp logthis thpfunc.pl thp.conf fakerpc /usr/local/shpot`;
`cp resp/ /usr/local/shpot/ -R`;
`mkdir /var/log/shpot`;
`chown nobody /var/log/shpot`;
echo "Ready ...";
sleep 1;
echo "You only add shpot in inetd or xinetd";
echo "";
echo "Example inetd: ";
echo "6635     stream  tcp     nowait  nobody    /usr/local/shpot/logthis    logthis";
echo "25     stream  tcp     nowait  nobody    /usr/local/shpot/logthis    smtp";
echo "";
sleep 1;
echo "Example xinetd: ";
echo "more /etc/xinetd.d/shpot-smtp";
echo "service shpot-smtp
{
	disable	= no
        socket_type = stream
        protocol    = tcp
        wait        = no
        user        = nobody
        server      = /usr/local/shpot/logthis
        server_args = smtp
	port 	    = 25
}";

echo "Avaible Targets : smtp, pop3, ftp, http and shell\n"; 
echo "Now you can re-configure /usr/local/shpot/thp.conf\n";
echo "http://sourceforge.net/projects/single-honeypot\n";
sleep 1;

